pbox_storageShack = Class('pbox_storageShack', fv.core.Building)

function pbox_storageShack:generateResourceArea()
	self:createResourceArea(Vec3(-0.422, 0, 0), 4, 2, 4, 100, false, 0.05, 0.35)
	end	

function pbox_storageShack:onStateChange()
	local b = self
	local data = b:data()
	if b.working and b.damaged==false then
		if isValidUID(data["slot_plants1"]) == false then
			b:randReset()
			data["slot_plants1"] = createDecorOnAirTurn (0, b, "models/house/gatherer/gt_plants01.prefab", 0, 0, 0)
			data["slot_plants2"] = createDecorOnAirTurn (0, b, "models/house/gatherer/gt_plants02.prefab", 0, 0, 0)
			data["slot_logsup"] = createDecorOnAirTurn (0, b, "models/house/gatherer/gt_logsUp"..b:rand(1, 2)..".prefab", 0, 0, 0)
			data["slot_logs"] = createDecorOnAirTurn (0, b, "models/house/gatherer/gt_logs"..b:rand(1, 2)..".prefab", 0, 0, 0)

			number = b:rand(1,2)
			if number == 1 then
				data["slot_lamp"] = createDecorOnAirTurn (0, b, "models/house/decor/lamp1.prefab", 3.459, 2.486, -0.935)
				createLight (b, "slot_light", 3.459, 2.486, -0.935)
			else
				data["slot_lamp"] = createDecorOnAirTurn (0, b, "models/house/decor/lamp1.prefab", 3.459, 2.486, 0.923)
				createLight (b, "slot_light", 3.459, 2.486, 0.923)
			end					
		end
	else
		if isValidUID(data["slot_plants1"]) then
			clearModelSlot(b,"slot_plants1")
			clearModelSlot(b,"slot_plants2")
			clearModelSlot(b,"slot_logs")
			clearModelSlot(b,"slot_logsup")
			clearModelSlot(b,"slot_lamp")
			b:removeLight(data["slot_light"])
		end
	end
end

function pbox_storageShack:createWindow()
	return fv.core.StorageWindow(self)
end

function pbox_storageShack:init(b)
end

function pbox_storageShack:updatePlayer(w, checkAction)
	local b = self
	if w.storageEmpty then
		return false
	end
	
	local resType = w.resourceInStorage
	if getResourceCfg(resType).storageClass == b.storageClass then
		if checkAction == false then
			local count = w:getResourceCount(resType)
			takeOffResource(w, b, resType, count)
		end
		return true
	end
	return false
end

fv.core.GameMenu.model:regBuilding('pbox_storageShack', 'storages.pbox_storageShack', 'GameLook1/iconBarn01', '@btn_pbox_storageShack@ \n@Cost@: @pricepbox_storageShack@', 1)
